﻿function InfoController() {
    BaseController.call(this, "Info");
}

InfoController.prototype = Object.create(InfoController.prototype);
InfoController.prototype.constructor = InfoController;
App.RegisterController(InfoController);

InfoController.prototype.Initialize = function (callback) {
    App.RegisterPageInitializer("InfoComo", this.InitializeInfoComo);
    App.RegisterPageInitializer("InfoPreguntas", this.InitializeInfoPreguntas);
    App.RegisterPageInitializer("InfoContrato", this.InitializeInfoContrato);
    BaseController.prototype.Initialize.call(this, callback);
}

InfoController.prototype.InitializeInfoComo = function () { }
InfoController.prototype.InitializeInfoPreguntas = function () { }
InfoController.prototype.InitializeInfoContrato = function () {
    $("#InfoContratoYear").text(new Date().getFullYear());
}

InfoController.prototype.ShowTutorial = function () { $.mobile.changePage("#InfoComo"); }
InfoController.prototype.ShowFAQ = function () { $.mobile.changePage("#InfoPreguntas"); }
InfoController.prototype.ShowTerms = function () { $.mobile.changePage("#InfoContrato"); }

