﻿function Persistence() { }

Persistence.Get = function (name) {
    var raw = Persistence.GetRaw(name);
    if (!raw) return null;
    var split = raw.split('&');
    var obj = {};
    for (var i = 0; i < split.length; i++) {
        var kv = split[i].split('=');
        if (kv.length == 1) {
            obj["value" + i] = kv[0];
        }
        if (kv.length > 1) {
            obj[kv[0]] = decodeURIComponent(kv[1] ? kv[1].replace(/\+/g, ' ') : kv[1]);
        }
    }
    return obj;
}

Persistence.GetRaw = function (name) {
    if (!document.cookie) return null;
    var nameEQ = name + "=";
    var ca = document.cookie.split(';');
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') c = c.substring(1, c.length);
        if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length, c.length);
    }
    return null;
}